<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		a, a:hover {
			background: transparent;
			border-bottom: 1px dotted #666;
			color: #666;
			text-decoration: none;		
		}

		a:hover {
			border: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>UUID Utlity</h1>

		<p>The UUID utlity contains a function used for generating a 10 character UUID string.  You load this utility
		by using the following piece of code.</p>

		<div class="example">
			$this->load->utility('uuid');
		</div>
	</div>

	<div class="content">
		<h1>generate_uuid()</h1>

		<p>This function returns a 10 character UUID string.  You pass it a 2 character ID.</p>

		<div class="example">
			$uuid = generate_uuid('d0');<br />
			<br />
			// This produces something like: d0jd8dJd9D
		</div>
	</div>
</body>

</html>
